# File — kittycad v0.0.5 documentation

# File

class kittycad.types.File(payload, file_name=None, mime_type=None)

  Bases: `object`

  Contains information for file uploads

  Methods Summary

  `to_tuple`() | Return a tuple representation that httpx will accept for multipart/form-data

  Methods Documentation

  to_tuple()

    Return a tuple representation that httpx will accept for multipart/form-data

    Return type

      `Tuple`[`Optional`[`str`, `None`], `Union`[`BinaryIO`, `TextIO`], `Optional`[`str`, `None`]]